AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AbstractInteractionsProvider
  - AWSLexProvider

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _config

### Accessors

- options

### Methods

- configure
- getCategory
- getProviderName
- onComplete
- responseCallback
- sendMessage

## Constructors

### constructor

- new AWSLexProvider(options?: InteractionsOptions): AWSLexProvider

- Overrides AbstractInteractionsProvider.constructor

  - Defined in interactions/src/Providers/AWSLexProvider.ts:25

  #### Parameters

  - ##### Default value options: InteractionsOptions = {}

  #### Returns AWSLexProvider

## Properties

### Protected _config

_config: InteractionsOptions

Inherited from AbstractInteractionsProvider._config

- Defined in interactions/src/Providers/InteractionsProvider.ts:22

## Accessors

### Protected options

options:

Inherited from AbstractInteractionsProvider.options

- Defined in interactions/src/Providers/InteractionsProvider.ts:40

## Methods

### configure

- configure(config?: InteractionsOptions): InteractionsOptions

- Inherited from AbstractInteractionsProvider.configure

  - Defined in interactions/src/Providers/InteractionsProvider.ts:28

  #### Parameters

  - ##### Default value config: InteractionsOptions = {}

  #### Returns InteractionsOptions

### getCategory

- getCategory(): string

- Inherited from AbstractInteractionsProvider.getCategory

  - Defined in interactions/src/Providers/InteractionsProvider.ts:36

  #### Returns string

### getProviderName

- getProviderName(): string

- Overrides AbstractInteractionsProvider.getProviderName

  - Defined in interactions/src/Providers/AWSLexProvider.ts:34

  #### Returns string

### onComplete

- onComplete(botname: string, callback: any): void

- Overrides AbstractInteractionsProvider.onComplete

  - Defined in interactions/src/Providers/AWSLexProvider.ts:125

  #### Parameters

  - ##### botname: string

  - ##### callback: any

  #### Returns void

### responseCallback

- responseCallback(err: any, data: any, res: any, rej: any, botname: any): void

- - Defined in interactions/src/Providers/AWSLexProvider.ts:36

  #### Parameters

  - ##### err: any

  - ##### data: any

  - ##### res: any

  - ##### rej: any

  - ##### botname: any

  #### Returns void

### sendMessage

- sendMessage(botname: string, message: string | InteractionsMessage): Promise<any>

- Overrides AbstractInteractionsProvider.sendMessage

  - Defined in interactions/src/Providers/AWSLexProvider.ts:68

  #### Parameters

  - ##### botname: string

  - ##### message: string | InteractionsMessage

  #### Returns Promise<any>